Skip to main content
Resource Center/Hardware/Host Operations/SR-IOV Operations
PUTSR-IOV OperationsSince 5.1.0SynchronousAuth Required

ChangeVfNicHaState

ChangeVfNicHaState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vfNicUuidStringRequired

    VfNic UUID

Body Fields

  • changevfnichastateObjectRequired

    changevfnichastate request body object.

    • haStateStringRequired

      Ha state.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryVmVfNicInventoryRequired

    See inventory

    • pciDeviceUuidStringRequired

      The pci device UUID.

    • haStateStringRequired

      The hastate.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      来源IP地址。

    • macStringRequired

      No description provided.

    • hypervisorTypeStringRequired

      No description provided.

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

    • metaDataStringRequired

      元数据。

    • ipVersionIntegerRequired

      IP版本。

    • driverTypeStringRequired

      No description provided.

    • internalNameStringRequired

      内部名称。

    • deviceIdIntegerRequired

      设备ID。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usedIpsListRequired

      See usedIps

      • uuidStringRequired

        The resource UUID.

      • ipRangeUuidStringRequired

        The ip range UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipVersionIntegerRequired

        IP版本。

      • ipStringRequired

        来源IP地址。

      • netmaskStringRequired

        No description provided.

      • gatewayStringRequired

        No description provided.

      • usedForStringRequired

        已使用用于。

      • ipInLonglongRequired

        No description provided.

      • vmNicUuidStringRequired

        The VM Nic UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/vm-instances/nics/{vfNicUuid}/actions

/zstack/v1/vm-instances/nics/{vfNicUuid}/actions

Operation ID

ChangeVfNicHaState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/nics/{vfNicUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changevfnichastate":{"haState":"<haState>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "pciDeviceUuid": "4935759d5e543ff7bb9901262d67e805", "haState": "Enabled", "uuid": "5a39466d15e9303d8cd091be8f8b98a0", "vmInstanceUuid": "0c9912e742793004bd585150a4e243d0", "usedIpUuid": "6c1404d271ce3da4a5a845563b65ab55", "l3NetworkUuid": "0d42b1c567da3721b04d1bc316b2e0cb", "ip": "192.168.1.2", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "type": "VF", "state": "enable" } }

Change History

This API has no change history records yet.

View all change history